# Yapstone::AddressResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**street1** | **String** | The street address line 1. | [optional] 
**street2** | **String** | The street address line 2. | [optional] 
**street3** | **String** | The street address line 3. | [optional] 
**street4** | **String** | The street address line 4. | [optional] 
**city** | **String** | The name of the city. | [optional] 
**state** | **String** | The state or province where the address resides. | [optional] 
**postal_code** | **String** | The postal code of the address. | [optional] 
**country_code** | **String** | The 3-letter countryCode of the address. | 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::AddressResource.new(street1: null,
                                 street2: null,
                                 street3: null,
                                 street4: null,
                                 city: null,
                                 state: null,
                                 postal_code: null,
                                 country_code: null)
```


