# Yapstone::ApplicantConsentResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**time_of_consent** | **DateTime** | The timestamp in ISO 8601 format when the user consentted. | [optional] 
**type** | [**ApplicantConsentType**](ApplicantConsentType.md) |  | 
**version** | **Integer** | The version of the consent if there is one. | 
**accepted** | **Boolean** | Indicates the acceptance of the T&amp;Cs. | 
**ip_address** | **String** | The ipAddress origin of the incoming call. | 
**device_fingerprint_id** | **String** | The device fingerprint identifier. | 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::ApplicantConsentResource.new(time_of_consent: null,
                                 type: null,
                                 version: null,
                                 accepted: null,
                                 ip_address: null,
                                 device_fingerprint_id: null)
```


