# Yapstone::AssetUpdateRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**owner** | [**IndividualOwnerResource**](IndividualOwnerResource.md) |  | [optional] 
**type** | **String** | The type of asset [PROPERTY] | 
**external_id** | **String** | The partners externalId id for the Asset. | [optional] 
**property** | [**PropertyResource**](PropertyResource.md) |  | 
**status** | [**EntityProductStatusResource**](EntityProductStatusResource.md) |  | [optional] 
**products** | [**Array&lt;Product&gt;**](Product.md) | Products requested by marketplace. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::AssetUpdateRequest.new(owner: null,
                                 type: null,
                                 external_id: null,
                                 property: null,
                                 status: null,
                                 products: null)
```


