# Yapstone::BankAccountDataResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**bank_account_data_token** | **String** | The key to the vault that contains the sensitive bank data. | [optional] 
**routing_code** | **String** | routing code for USA, bank/branch identification for rest of the world | [optional] 
**account_number** | **String** | Bank account number. If this is iban, routing code (bank/branch identification code) can be empty | [optional] 
**display_text** | **String** | The textual description of the account. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BankAccountDataResource.new(bank_account_data_token: null,
                                 routing_code: null,
                                 account_number: null,
                                 display_text: null)
```


