# Yapstone::BankAccountResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | **String** | The type of bank account [CHECKING] | 
**name_on_account** | **String** | The name on the account. | [optional] 
**currency** | **String** | The ISO currency code enum that the bank account will accept funds as. | 
**bank_account_data** | [**BankAccountDataResource**](BankAccountDataResource.md) |  | 
**bank_name** | **String** | The bank name. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BankAccountResource.new(type: null,
                                 name_on_account: null,
                                 currency: null,
                                 bank_account_data: null,
                                 bank_name: null)
```


