# Yapstone::BeneficialOwnerRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**external_id** | **String** | The Mktplaces unique identifier for the Beneficial Owner. | [optional] 
**name** | [**NameResource**](NameResource.md) |  | 
**address** | [**AddressResource**](AddressResource.md) |  | 
**email** | **String** | The email address. | 
**gov_identification** | [**GovIdentificationResource**](GovIdentificationResource.md) |  | [optional] 
**date_of_birth** | **Date** | The date of birth for the person. | 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BeneficialOwnerRequest.new(external_id: null,
                                 name: null,
                                 address: null,
                                 email: null,
                                 gov_identification: null,
                                 date_of_birth: null)
```


