# Yapstone::CardDataResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**card_type** | **String** | Type of the card ( DEBIT, CREDIT) | [optional] 
**brand** | **String** | Issuing authority | [optional] 
**card_token_source** | **String** |  | [optional] 
**expiration_date** | [**ExpirationDateResource**](ExpirationDateResource.md) |  | [optional] 
**billing_address** | [**AddressResource**](AddressResource.md) |  | [optional] 
**card_holder_name** | **String** | Name on the card | [optional] 
**card_token_data** | **String** | The token to get the card details from vault. | [optional] 
**card_number** | **String** | The card number. | [optional] 
**cvv** | **String** | CVV number. | [optional] 
**currency** | **String** | Currency. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::CardDataResource.new(card_type: null,
                                 brand: null,
                                 card_token_source: null,
                                 expiration_date: null,
                                 billing_address: null,
                                 card_holder_name: null,
                                 card_token_data: null,
                                 card_number: null,
                                 cvv: null,
                                 currency: null)
```


