# Yapstone::ConsentRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**version** | **Integer** | The version of the consent if there is one. | 
**accepted** | **Boolean** | Indicates the acceptance of the T&amp;Cs. | 
**ip_address** | **String** | The ipAddress origin of the incoming call. | 
**device_fingerprint_id** | **String** | The device fingerprint identifier. | 
**type** | [**ConsentType**](ConsentType.md) |  | 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::ConsentRequest.new(version: null,
                                 accepted: null,
                                 ip_address: null,
                                 device_fingerprint_id: null,
                                 type: null)
```


