# Yapstone::EntityUpdateEvent

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**entity_id** | **String** | Unique Id of entity. | [optional] 
**updated_attributes** | [**Array&lt;EntityUpdatedAttribute&gt;**](EntityUpdatedAttribute.md) | List of updated attributes. | [optional] 
**user_name** | **String** | Name of user. | [optional] 
**last_updated** | **DateTime** | The timestamp in ISO 8601 format when the entity last updated. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::EntityUpdateEvent.new(entity_id: null,
                                 updated_attributes: null,
                                 user_name: null,
                                 last_updated: null)
```


