# Yapstone::GovIdentificationResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | [**GovernmentIdType**](GovernmentIdType.md) |  | 
**display_text** | **String** | The display info for the identification. | [optional] 
**gov_id_data_token** | **String** | The key to vault that contains the data associated with the government id. This key will be generated when the identification is created at YapStone. | [optional] 
**number** | **String** | The number associated with the identification. | 
**expiration** | **Date** | The expiration date of the identication. | [optional] 
**country** | **String** | The 3-letter ISO country code of the identification issuer. | [optional] 
**state** | **String** | The state or province of the identification issuer. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::GovIdentificationResource.new(type: null,
                                 display_text: null,
                                 gov_id_data_token: null,
                                 number: null,
                                 expiration: null,
                                 country: null,
                                 state: null)
```


