# Yapstone::MarketplaceProductSubResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**consents** | [**Array&lt;ConsentResource&gt;**](ConsentResource.md) | An array of consents. | [optional] 
**asset_id** | **String** | The unique id of the Asset Resource. | [optional] 
**payout_mode** | **String** | The type of Payout Mode | [optional] 
**settlement_currency** | **String** | The ISO currency code enum for settlements. | [optional] 
**subscription_type** | **String** | Subscription Type | [optional] 
**status** | [**StatusReasonResource**](StatusReasonResource.md) |  | [optional] 
**charges_status** | [**ActionStatusResource**](ActionStatusResource.md) |  | [optional] 
**refund_status** | [**ActionStatusResource**](ActionStatusResource.md) |  | [optional] 
**token_for_processing** | **String** | The token to use when making payments. | [optional] 
**payment_platform** | **String** | The platform to initiate payments on. | [optional] 
**payout_instruments** | [**Array&lt;MarketplaceProductPayoutInstrumentResource&gt;**](MarketplaceProductPayoutInstrumentResource.md) | An array of payout instruments. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::MarketplaceProductSubResource.new(consents: null,
                                 asset_id: null,
                                 payout_mode: null,
                                 settlement_currency: null,
                                 subscription_type: null,
                                 status: null,
                                 charges_status: null,
                                 refund_status: null,
                                 token_for_processing: null,
                                 payment_platform: null,
                                 payout_instruments: null)
```


