# Yapstone::PayoutInstrumentResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**external_id** | **String** | The partners externalId id for the Payout Instrument. | [optional] 
**bank_account** | [**BankAccountResource**](BankAccountResource.md) |  | [optional] 
**payment_card** | [**CardDataResource**](CardDataResource.md) |  | [optional] 
**type** | **String** | The type of finanancial instrument [BANK_ACCOUNT] | 
**id** | **String** | The resource identifier for the Payout Instrument. | [optional] 
**status** | [**EntityProductStatusResource**](EntityProductStatusResource.md) |  | [optional] 
**owner** | [**OwnerResource**](OwnerResource.md) |  | [optional] 
**consents** | [**Array&lt;Consent&gt;**](Consent.md) | list of consent responses | [optional] 
**products** | [**Array&lt;Product&gt;**](Product.md) | Products requested by marketplace. | [optional] 
**capabilities** | [**Array&lt;CapabilityResource&gt;**](CapabilityResource.md) | Set of capabilities the instrument can perform. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PayoutInstrumentResource.new(external_id: null,
                                 bank_account: null,
                                 payment_card: null,
                                 type: null,
                                 id: null,
                                 status: null,
                                 owner: null,
                                 consents: null,
                                 products: null,
                                 capabilities: null)
```


