# Yapstone::PriceSettingResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**min_rate** | [**MoneyResource**](MoneyResource.md) |  | [optional] 
**max_rate** | [**MoneyResource**](MoneyResource.md) |  | [optional] 
**cleaning_fee** | [**MoneyResource**](MoneyResource.md) |  | [optional] 
**same_day_charge_allowed** | **Boolean** | Is there a same day charge for the property. | [optional] 
**auto_pricing** | **Boolean** | Is auto pricing setup for the property. | [optional] 
**renting_frequency** | **String** | The renting frequencey for the property. | [optional] 
**payment_terms** | **String** | The terms of payment for the property for a traveler [single, multiple]. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PriceSettingResource.new(min_rate: null,
                                 max_rate: null,
                                 cleaning_fee: null,
                                 same_day_charge_allowed: null,
                                 auto_pricing: null,
                                 renting_frequency: null,
                                 payment_terms: null)
```


