# Yapstone::ApplicantConsentRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | [**ApplicantConsentType**](ApplicantConsentType.md) |  | 
**version** | **Integer** | The version of the consent if there is one. | 
**accepted** | **Boolean** | Indicates the acceptance of the T&amp;Cs. | 
**ip_address** | **String** | The ipAddress origin of the incoming call. | 
**device_fingerprint_id** | **String** | The device fingerprint identifier. | 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::ApplicantConsentRequest.new(type: null,
                                 version: null,
                                 accepted: null,
                                 ip_address: null,
                                 device_fingerprint_id: null)
```


