# Yapstone::BusinessApplicantRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**primary_contact** | [**PrimaryContactResource**](PrimaryContactResource.md) |  | [optional] 
**business_profile** | [**BusinessProfileResource**](BusinessProfileResource.md) |  | 
**external_id** | **String** | The partners externalId id for the Business Applicant. | [optional] 
**mkt_place_applicant** | [**MarketPlaceApplicantResource**](MarketPlaceApplicantResource.md) |  | [optional] 
**social_networks** | [**Array&lt;SocialNetworkResource&gt;**](SocialNetworkResource.md) | A list of social networks the applicant belongs to. | [optional] 
**language** | **String** | language used to communicate | [optional] 
**brand** | **String** | brand id of market place | [optional] 
**consents** | [**Array&lt;ApplicantConsentRequest&gt;**](ApplicantConsentRequest.md) |  | [optional] 
**reporting_tag** | **String** | The reportingTag for the applicant. | [optional] 
**principal_owner** | [**BeneficialOwnerRequest**](BeneficialOwnerRequest.md) |  | [optional] 
**additional_owners** | [**Array&lt;BeneficialOwnerRequest&gt;**](BeneficialOwnerRequest.md) | A list of additional beneficial owners | [optional] 
**products** | [**Array&lt;Product&gt;**](Product.md) | Products requested by marketplace. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BusinessApplicantRequest.new(primary_contact: null,
                                 business_profile: null,
                                 external_id: null,
                                 mkt_place_applicant: null,
                                 social_networks: null,
                                 language: null,
                                 brand: null,
                                 consents: null,
                                 reporting_tag: null,
                                 principal_owner: null,
                                 additional_owners: null,
                                 products: null)
```


