# Yapstone::BusinessApplicantUpdateRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**primary_contact** | [**PrimaryContactResource**](PrimaryContactResource.md) |  | [optional] 
**business_profile** | [**BusinessProfileResource**](BusinessProfileResource.md) |  | 
**external_id** | **String** | The partners externalId id for the Business Applicant. | [optional] 
**mkt_place_applicant** | [**MarketPlaceApplicantResource**](MarketPlaceApplicantResource.md) |  | [optional] 
**social_networks** | [**Array&lt;SocialNetworkResource&gt;**](SocialNetworkResource.md) | A list of social networks the applicant belongs to. | [optional] 
**status** | [**EntityProductStatusResource**](EntityProductStatusResource.md) |  | [optional] 
**consents** | [**Array&lt;ApplicantConsentRequest&gt;**](ApplicantConsentRequest.md) |  | [optional] 
**principal_owner** | [**BeneficialOwnerResource**](BeneficialOwnerResource.md) |  | [optional] 
**additional_owners_update** | [**Array&lt;BeneficialOwnersPatch&gt;**](BeneficialOwnersPatch.md) | List of edits to beneficial owners of the property. | [optional] 
**products** | [**Array&lt;Product&gt;**](Product.md) | Products requested by marketplace. | [optional] 
**no_post_booking** | **Boolean** | value can be changed by only internal user. | [optional] 
**language** | **String** | language used to communicate | [optional] 
**brand** | **String** | brand id of market place | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BusinessApplicantUpdateRequest.new(primary_contact: null,
                                 business_profile: null,
                                 external_id: null,
                                 mkt_place_applicant: null,
                                 social_networks: null,
                                 status: null,
                                 consents: null,
                                 principal_owner: null,
                                 additional_owners_update: null,
                                 products: null,
                                 no_post_booking: null,
                                 language: null,
                                 brand: null)
```


