# Yapstone::BusinessIdentificationResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | [**BusinessIdType**](BusinessIdType.md) |  | 
**display_text** | **String** | The display info for the identification. | [optional] 
**business_id_data_token** | **String** | The key to vault that contains the data associated with the EIN, VAT or CRN id. This key will be generated when the identification is created at YapStone. | [optional] 
**number** | **String** | The number associated with the identification. | 
**issuer** | [**IssuerScope**](IssuerScope.md) |  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BusinessIdentificationResource.new(type: null,
                                 display_text: null,
                                 business_id_data_token: null,
                                 number: null,
                                 issuer: null)
```


