# Yapstone::BusinessProfileResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | The name of the business. | 
**type** | **String** | The type of business unit (sole_prop, corp, llc) | [optional] 
**dba** | **Array&lt;String&gt;** | Doing business as name list. | [optional] 
**email** | **String** | The email address. | 
**address** | [**AddressResource**](AddressResource.md) |  | 
**phone** | [**PhoneResource**](PhoneResource.md) |  | [optional] 
**business_identification** | [**BusinessIdentificationResource**](BusinessIdentificationResource.md) |  | [optional] 
**registration** | [**RegistrationResource**](RegistrationResource.md) |  | [optional] 
**website_url** | **String** | The website hostname. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BusinessProfileResource.new(name: null,
                                 type: null,
                                 dba: null,
                                 email: null,
                                 address: null,
                                 phone: null,
                                 business_identification: null,
                                 registration: null,
                                 website_url: null)
```


