# Yapstone::IndividualApplicantAdminResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The resource identifier for the applicant. | [optional] 
**status** | [**EntityProductStatusResource**](EntityProductStatusResource.md) |  | [optional] 
**type** | **String** |  | 
**external_id** | **String** | The partners externalId id for the Applicant. | [optional] 
**mkt_place_applicant** | [**MarketPlaceApplicantResource**](MarketPlaceApplicantResource.md) |  | [optional] 
**social_networks** | [**Array&lt;SocialNetworkResource&gt;**](SocialNetworkResource.md) | A list of social networks the applicant belongs to. | [optional] 
**language** | **String** | supported language | 
**brand** | **String** | brand id | 
**consents** | [**Array&lt;ApplicantConsentResource&gt;**](ApplicantConsentResource.md) |  | [optional] 
**reporting_tag** | **String** | The reportingTag for the applicant. | [optional] 
**no_post_booking** | **Boolean** | At the time of creation, value is defaulted to False. | [optional] [default to false]
**products** | [**Array&lt;Product&gt;**](Product.md) | Products requested by marketplace. | [optional] 
**individual_profile** | [**ProfileResource**](ProfileResource.md) |  | [optional] 
**auto_graduated** | **Boolean** | value for graduation policy | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::IndividualApplicantAdminResource.new(id: null,
                                 status: null,
                                 type: null,
                                 external_id: null,
                                 mkt_place_applicant: null,
                                 social_networks: null,
                                 language: null,
                                 brand: null,
                                 consents: null,
                                 reporting_tag: null,
                                 no_post_booking: null,
                                 products: null,
                                 individual_profile: null,
                                 auto_graduated: null)
```


