# Yapstone::IndividualApplicantRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**external_id** | **String** | The partners externalId id for the Applicant. | [optional] 
**individual_profile** | [**ProfileResource**](ProfileResource.md) |  | 
**mkt_place_applicant** | [**MarketPlaceApplicantResource**](MarketPlaceApplicantResource.md) |  | [optional] 
**social_networks** | [**Array&lt;SocialNetworkResource&gt;**](SocialNetworkResource.md) | A list of social networks the applicant belongs to. | [optional] 
**language** | **String** | language used to communicate | [optional] 
**brand** | **String** | brand id of market place | [optional] 
**consents** | [**Array&lt;ApplicantConsentRequest&gt;**](ApplicantConsentRequest.md) |  | [optional] 
**reporting_tag** | **String** | The reportingTag for the applicant. | [optional] 
**products** | [**Array&lt;Product&gt;**](Product.md) | Products requested by marketplace. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::IndividualApplicantRequest.new(external_id: null,
                                 individual_profile: null,
                                 mkt_place_applicant: null,
                                 social_networks: null,
                                 language: null,
                                 brand: null,
                                 consents: null,
                                 reporting_tag: null,
                                 products: null)
```


