# Yapstone::MarketPlacePropertyResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**score** | **Float** | The marketplace score property. | [optional] 
**reservation_setting** | [**ReservationSettingResource**](ReservationSettingResource.md) |  | [optional] 
**check_in** | **String** | The checkin time. | [optional] 
**check_out** | **String** | The checkout time. | [optional] 
**cancellation_policy** | **String** | The cancellation policy for the property. | [optional] 
**property_tracker** | [**PropertyTrackerResource**](PropertyTrackerResource.md) |  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::MarketPlacePropertyResource.new(score: null,
                                 reservation_setting: null,
                                 check_in: null,
                                 check_out: null,
                                 cancellation_policy: null,
                                 property_tracker: null)
```


