# Yapstone::MarketplaceProductAdd

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**consents** | [**Array&lt;ConsentRequest&gt;**](ConsentRequest.md) | An array of consents. | [optional] 
**asset_id** | **String** | The unique id of the Asset Resource. | [optional] 
**payout_mode** | **String** | The type of Payout Mode | [optional] 
**settlement_currency** | **String** | The ISO currency code enum for settlements. | [optional] 
**subscription_type** | **String** | Subscription Type | [optional] 
**payout_instruments** | **Array&lt;String&gt;** |  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::MarketplaceProductAdd.new(consents: null,
                                 asset_id: null,
                                 payout_mode: null,
                                 settlement_currency: null,
                                 subscription_type: null,
                                 payout_instruments: null)
```


