# Yapstone::PayoutInstrumentRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**external_id** | **String** | The partners externalId id for the Payout Instrument. | [optional] 
**bank_account** | [**BankAccountResource**](BankAccountResource.md) |  | [optional] 
**payment_card** | [**CardDataResource**](CardDataResource.md) |  | [optional] 
**type** | **String** | The type of finanancial instrument [BANK_ACCOUNT] | 
**owner** | [**OwnerResource**](OwnerResource.md) |  | [optional] 
**consents** | [**Array&lt;Consent&gt;**](Consent.md) | list of consent requests | [optional] 
**products** | [**Array&lt;Product&gt;**](Product.md) | Products requested by marketplace. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PayoutInstrumentRequest.new(external_id: null,
                                 bank_account: null,
                                 payment_card: null,
                                 type: null,
                                 owner: null,
                                 consents: null,
                                 products: null)
```


