# Yapstone::PrimaryContactResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | [**NameResource**](NameResource.md) |  | 
**address** | [**AddressResource**](AddressResource.md) |  | [optional] 
**phone** | [**PhoneResource**](PhoneResource.md) |  | [optional] 
**email** | **String** | The email address. | [optional] 
**gov_identification** | [**GovIdentificationResource**](GovIdentificationResource.md) |  | [optional] 
**gender** | [**Gender**](Gender.md) |  | [optional] 
**date_of_birth** | **Date** | The date of birth for the person. | [optional] 
**country_of_birth** | **String** | The country of birth for the person. | [optional] 
**nationality** | **String** | The nationality of the person. | [optional] 
**website_url** | **String** | The website hostname. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PrimaryContactResource.new(name: null,
                                 address: null,
                                 phone: null,
                                 email: null,
                                 gov_identification: null,
                                 gender: null,
                                 date_of_birth: null,
                                 country_of_birth: null,
                                 nationality: null,
                                 website_url: null)
```


