# Yapstone::PropertyHistoryResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**active_since** | **Date** | The date the property was active | [optional] 
**charge_count** | **Integer** | The number of charges. | [optional] 
**chargeback_count** | **Integer** | The number of chargebacks. | [optional] 
**charge_volume** | [**MoneyResource**](MoneyResource.md) |  | [optional] 
**chargeback_volume** | [**MoneyResource**](MoneyResource.md) |  | [optional] 
**property_tracker** | [**PropertyTrackerResource**](PropertyTrackerResource.md) |  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PropertyHistoryResource.new(active_since: null,
                                 charge_count: null,
                                 chargeback_count: null,
                                 charge_volume: null,
                                 chargeback_volume: null,
                                 property_tracker: null)
```


