# Yapstone::PropertyOwnerResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**owner_since** | **Date** | How long has the customer owned an asset in the marketplace. | [optional] 
**inquiry_count** | **Integer** | The number of inquries. | [optional] 
**charge_count** | **Integer** | The number of charges. | [optional] 
**rating_count** | **Integer** | The number of ratings. | [optional] 
**rating** | **Float** | The rating of the asset for the owner. | [optional] 
**processing_volume** | [**MoneyResource**](MoneyResource.md) |  | [optional] 
**estimated_volume** | [**MoneyResource**](MoneyResource.md) |  | [optional] 
**asset_count** | **Integer** | The number of assets ownered. | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PropertyOwnerResource.new(owner_since: null,
                                 inquiry_count: null,
                                 charge_count: null,
                                 rating_count: null,
                                 rating: null,
                                 processing_volume: null,
                                 estimated_volume: null,
                                 asset_count: null)
```


