# Yapstone::PropertyResource

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | The name of the asset. | 
**display_name** | **String** | The display name of the asset. | 
**address** | [**AddressResource**](AddressResource.md) |  | 
**property_info** | [**PropertyInfoResource**](PropertyInfoResource.md) |  | [optional] 
**property_history** | [**PropertyHistoryResource**](PropertyHistoryResource.md) |  | [optional] 
**mkt_place_info** | [**MarketPlacePropertyResource**](MarketPlacePropertyResource.md) |  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PropertyResource.new(name: null,
                                 display_name: null,
                                 address: null,
                                 property_info: null,
                                 property_history: null,
                                 mkt_place_info: null)
```


